<?php

namespace Schaffen\SerasaRemessa\Utils;

class Record {

    /**
     * @var array
     */
    private $columns = [];

    protected function setColumn($name, RecordColumn $recordColumn) {
        $this->columns[$name] = $recordColumn;
    }

    public function toString() {
        $headerString = '';
        foreach($this->columns as $column){
            $headerString .= $column->getFormatedValue();
        }

        return $headerString;
    }

    public function getColumn($name) {
        if(!isset($this->columns[$name])) {
            throw new \Exception('Column does not exists'); 
        }

        return $this->columns[$name];
    }
}